complexType "EquityPremium"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, premiumType?, paymentAmount?, paymentDate?, swapPremium?, pricePerOption?, percentageOfNotional?
</...>

Content Model Elements (10):

  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  paymentAmount (defined in EquityPremium complexType),
  paymentDate (defined in EquityPremium complexType),
  percentageOfNotional (defined in EquityPremium complexType),
  premiumType (defined in EquityPremium complexType),
  pricePerOption (defined in EquityPremium complexType),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  swapPremium

All Direct / Indirect Based Elements (4):

  equityPremium (defined in EquityDerivativeShortFormBase complexType),
  equityPremium (in dividendSwapOptionTransactionSupplement),
  equityPremium (in equityOption),
  equityPremium (in varianceOptionTransactionSupplement)

Known Usage Locations

- As direct type of elements (4):
  equityPremium (defined in EquityDerivativeShortFormBase complexType),
  equityPremium (in dividendSwapOptionTransactionSupplement),
  equityPremium (in equityOption),
  equityPremium (in varianceOptionTransactionSupplement)

Annotation
A type used to describe the amount paid for an equity option.
Type Definition Detail

Type Derivation Tree PaymentBase (extension) EquityPremium

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="EquityPremium"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="premiumType" type="PremiumTypeEnum"/> <xsd:element minOccurs="0" name="paymentAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="paymentDate" type="AdjustableDate"/> <xsd:element minOccurs="0" name="swapPremium" type="xsd:boolean"/> <xsd:element minOccurs="0" name="pricePerOption" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="percentageOfNotional" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/10)
paymentAmount

  Type: | NonNegativeMoney, complex content

  The currency amount of the payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentAmount" type="NonNegativeMoney"/>

paymentDate

  Type: | AdjustableDate, complex content

  The payment date. This date is subject to adjustment in accordance with any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDate" type="AdjustableDate"/>

percentageOfNotional

  Type: | NonNegativeDecimal, simple content

  The amount of premium to be paid expressed as a percentage of the notional value of the transaction. A percentage of 5% would be expressed as 0.05.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="percentageOfNotional" type="NonNegativeDecimal"/>

premiumType

  Type: | PremiumTypeEnum, simple content

  Forward start Premium type
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "PrePaid" | - | TODO See: http://www.FpML.org
  "PostPaid" | - | TODO See: http://www.FpML.org
  "Variable" | - | TODO See: http://www.FpML.org
  "Fixed" | - | TODO See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="premiumType" type="PremiumTypeEnum"/>

pricePerOption

  Type: | NonNegativeMoney, complex content

  The amount of premium to be paid expressed as a function of the number of options.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pricePerOption" type="NonNegativeMoney"/>

swapPremium

  Type: | xsd:boolean, predefined, simple content

  Specifies whether or not the premium is to be paid in the style of payments under an interest rate swap contract.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="swapPremium" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.